VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3525
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4800
   LinkTopic       =   "Form1"
   ScaleHeight     =   3525
   ScaleWidth      =   4800
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtJoined 
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   4575
   End
   Begin VB.ListBox lstResults 
      Height          =   1620
      Left            =   120
      TabIndex        =   5
      Top             =   1440
      Width           =   4575
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go"
      Height          =   375
      Left            =   2040
      TabIndex        =   4
      Top             =   960
      Width           =   735
   End
   Begin VB.TextBox txtDelimiter 
      Height          =   285
      Left            =   840
      TabIndex        =   3
      Text            =   ";"
      Top             =   480
      Width           =   735
   End
   Begin VB.TextBox txtString 
      Height          =   285
      Left            =   840
      TabIndex        =   1
      Text            =   "Apple;Banana;Cherry;;Date"
      Top             =   120
      Width           =   3855
   End
   Begin VB.Label Label1 
      Caption         =   "Delimiter"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "String"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Join the strings using the delimiter.
Public Function VB5Join(strings() As String, ByVal delimiter As String) As String
Dim i As Integer
Dim result As String

    result = ""
    For i = LBound(strings) To UBound(strings)
        result = result & delimiter & strings(i)
    Next i

    ' Remove the initial delimiter.
    If Len(result) > 0 Then result = Mid$(result, Len(delimiter) + 1)
    VB5Join = result
End Function
' Split txt into pieces and return them in an array.
Public Sub VB5Split(ByVal txt As String, ByVal delimiter As String, result() As String)
Dim num_items As Integer
Dim pos As Integer

    num_items = 0
    Do While Len(txt) > 0
        ' Make room for the next piece.
        num_items = num_items + 1
        ReDim Preserve result(1 To num_items)

        ' Find the next piece.
        pos = InStr(txt, delimiter)
        If pos = 0 Then
            ' There are no more delimiters.
            ' Use the rest.
            result(num_items) = txt
            txt = ""
        Else
            ' Use this piece.
            result(num_items) = Mid$(txt, 1, pos - 1)
            txt = Mid$(txt, pos + Len(delimiter))
        End If
    Loop
End Sub

Private Sub cmdGo_Click()
Dim results() As String
Dim i As Integer

    ' Split the string.
    VB5Split txtString.Text, txtDelimiter.Text, results

    ' Display the results.
    lstResults.Clear
    For i = LBound(results) To UBound(results)
        lstResults.AddItem results(i)
    Next i

    ' Join the string.
    txtJoined.Text = VB5Join(results, txtDelimiter.Text)
End Sub
